Loading...
Searching...
No Matches
loop.h File Reference
Core API » Loop

`pipewire/loop.h` More...

Go to the source code of this file.

## Data Structures

struct | pw_loop

## Macros

#define | pw_loop_add_source(l, ...) spa_loop_add_source((l)->loop,__VA_ARGS__)
#define | pw_loop_update_source(l, ...) spa_loop_update_source((l)->loop,__VA_ARGS__)
#define | pw_loop_remove_source(l, ...) spa_loop_remove_source((l)->loop,__VA_ARGS__)
#define | pw_loop_invoke(l, ...) spa_loop_invoke((l)->loop,__VA_ARGS__)
#define | pw_loop_get_fd(l) spa_loop_control_get_fd((l)->control)
#define | pw_loop_add_hook(l, ...) spa_loop_control_add_hook((l)->control,__VA_ARGS__)
#define | pw_loop_enter(l) spa_loop_control_enter((l)->control)
#define | pw_loop_leave(l) spa_loop_control_leave((l)->control)
#define | pw_loop_iterate(l, ...) spa_loop_control_iterate_fast((l)->control,__VA_ARGS__)
#define | pw_loop_add_io(l, ...) spa_loop_utils_add_io((l)->utils,__VA_ARGS__)
#define | pw_loop_update_io(l, ...) spa_loop_utils_update_io((l)->utils,__VA_ARGS__)
#define | pw_loop_add_idle(l, ...) spa_loop_utils_add_idle((l)->utils,__VA_ARGS__)
#define | pw_loop_enable_idle(l, ...) spa_loop_utils_enable_idle((l)->utils,__VA_ARGS__)
#define | pw_loop_add_event(l, ...) spa_loop_utils_add_event((l)->utils,__VA_ARGS__)
#define | pw_loop_signal_event(l, ...) spa_loop_utils_signal_event((l)->utils,__VA_ARGS__)
#define | pw_loop_add_timer(l, ...) spa_loop_utils_add_timer((l)->utils,__VA_ARGS__)
#define | pw_loop_update_timer(l, ...) spa_loop_utils_update_timer((l)->utils,__VA_ARGS__)
#define | pw_loop_add_signal(l, ...) spa_loop_utils_add_signal((l)->utils,__VA_ARGS__)
#define | pw_loop_destroy_source(l, ...) spa_loop_utils_destroy_source((l)->utils,__VA_ARGS__)

## Functions

struct pw_loop * | pw_loop_new (const struct spa_dict *props)
| Create a new loop.
void | pw_loop_destroy (struct pw_loop *loop)
| Destroy a loop.

## Detailed Description

`pipewire/loop.h`